Bug 1468993 - RPM automatic provides / requires extraction broken
RPM automatic provides / requires extraction broken
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mingw-filesystem (Show other bugs)
26
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
: Reopened
Depends On: 1468476
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 04:15 EDT by Daniel Berrange
Modified: 2018-05-29 08:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:30:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2017-07-10 04:15:08 EDT
Description of problem:
I built a new mingw-libvirt package in rawhide and suddenly received broken deps reports for mingw-libvirt-glib, despite the dlls not having changed. Looking at the build logs I see the RPM automatic provides & requires extraction scripts have returned nothing at all

https://kojipkgs.fedoraproject.org/packages/mingw-libvirt/3.5.0/1.fc27/data/logs/noarch/build.log

Processing files: mingw32-libvirt-3.5.0-1.fc27.noarch
Finding  Provides: /usr/lib/rpm/mingw-find-provides.sh mingw32 mingw64
Finding  Requires(interp): 
Finding  Requires(rpmlib): 
Finding  Requires(verify): 
Finding  Requires(pre): 
Finding  Requires(post): 
Finding  Requires(preun): 
Finding  Requires(postun): 
Finding  Requires(pretrans): 
Finding  Requires(posttrans): 
Finding  Requires: /usr/lib/rpm/mingw-find-requires.sh mingw32 mingw64
Finding  Conflicts: 
Finding  Obsoletes: 
Finding  Recommends: 
Finding  Suggests: 
Finding  Supplements: 
Finding  Enhances: 
Provides: config(mingw32-libvirt) = 3.5.0-1.fc27 mingw32-libvirt = 3.5.0-1.fc27
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1



Compared with the previous version built a month before:


https://kojipkgs.fedoraproject.org/packages/mingw-libvirt/3.4.0/1.fc27/data/logs/noarch/build.log

Processing files: mingw32-libvirt-3.4.0-1.fc27.noarch
Finding  Provides: /usr/lib/rpm/mingw-find-provides.sh mingw32 mingw64
Finding  Requires(interp): 
Finding  Requires(rpmlib): 
Finding  Requires(verify): 
Finding  Requires(pre): 
Finding  Requires(post): 
Finding  Requires(preun): 
Finding  Requires(postun): 
Finding  Requires(pretrans): 
Finding  Requires(posttrans): 
Finding  Requires: /usr/lib/rpm/mingw-find-requires.sh mingw32 mingw64
Provides: config(mingw32-libvirt) = 3.4.0-1.fc27 mingw32(libvirt-0.dll) mingw32(libvirt-admin-0.dll) mingw32(libvirt-lxc-0.dll) mingw32(libvirt-qemu-0.dll) mingw32-libvirt = 3.4.0-1.fc27
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: mingw32(kernel32.dll) mingw32(libcurl-4.dll) mingw32(libgcc_s_sjlj-1.dll) mingw32(libgnutls-30.dll) mingw32(libintl-8.dll) mingw32(libportablexdr-0.dll) mingw32(libssh2-1.dll) mingw32(libvirt-0.dll) mingw32(libvirt-admin-0.dll) mingw32(libvirt-lxc-0.dll) mingw32(libvirt-qemu-0.dll) mingw32(libwinpthread-1.dll) mingw32(libxml2-2.dll) mingw32(msvcrt.dll) mingw32(ole32.dll) mingw32(shell32.dll) mingw32(user32.dll) mingw32(ws2_32.dll) mingw32-crt mingw32-filesystem >= 95 mingw32-pkg-config



Version-Release number of selected component (if applicable):
mingw-filesystem-base-101-1.fc25

How reproducible:
Always

Steps to Reproduce:
1. Build latest mingw-libvirt in rawhide
2.
3.

Actual results:
Most requires & provides are missing

Expected results:


Additional info:
Comment 1 Daniel Berrange 2017-07-10 04:49:07 EDT
I see the same missing requires/provides with other mingw packages, eg mingw-glibmm24

June 1st build got deps:

https://kojipkgs.fedoraproject.org/packages/mingw-glibmm24/2.51.7/1.fc27/data/logs/noarch/build.log


July 3rd build lost all deps

https://kojipkgs.fedoraproject.org/packages/mingw-glibmm24/2.52.0/1.fc27/data/logs/noarch/build.log
Comment 2 Igor Gnatenko 2017-07-10 05:03:32 EDT
That;s because you are using obsolete %filter_setup...

But nvm, it got fixed.
Comment 3 Daniel Berrange 2017-08-15 09:24:53 EDT
Re-opening because while its fixed in rawhide, it is still broken when I build mingw packages on Fedora 26
Comment 4 Fedora End Of Life 2018-05-03 04:10:33 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2018-05-29 08:30:05 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.